package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.api.dto.MaidianLogDTO;
import com.gic.haoban.manage.service.entity.TabHaobanMaidianLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabHaobanMaidianLogMapper {
    int deleteByPrimaryKey(Integer maidianId);

    int insert(TabHaobanMaidianLog record);

    int insertSelective(TabHaobanMaidianLog record);

    TabHaobanMaidianLog selectByPrimaryKey(Integer maidianId);

    int updateByPrimaryKeySelective(TabHaobanMaidianLog record);

    int updateByPrimaryKey(TabHaobanMaidianLog record);

    public List<TabHaobanMaidianLog> queryList(@Param("hbversion") String hbversion);
}